<?php

namespace EventPortal\Domain\Event\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class SetAsUnpublished
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $model = $payload->getModel();

        $model->status = 'unpublished';
        $model->save();

        return $next($payload);
    }
}
