<?php

namespace EventPortal\Tests\Unit\Event\Actions;

use EventPortal\Domain\Event\Actions\DeleteEvent;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class DeleteEventTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function can_delete_event()
    {
        $event = factory(Event::class)->create();

        (new DeleteEvent)->execute($event);

        $this->assertNull($event->fresh());
    }
}
