<?php

use EventPortal\Domain\Permission\Models\Role;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Role::class, function (Faker $faker): array {
    return [
        'name' => $faker->name,
        'guard_name' => 'web',
        'label' => $faker->domainWord,
    ];
});

$factory->state(Role::class, 'default', function (): array {
    return [
        'label' => 'Default Role',
        'name' => 'default-role',
    ];
});
