<?php

namespace EventPortal\Domain\Rules;

use Illuminate\Contracts\Validation\Rule;

class AlphaWithSpaces implements Rule
{
    /**
     * @param  string  $attribute
     * @param  mixed  $value
     * phpcs:disable
     */
    public function passes($attribute, $value): bool
    {
        // phpcs:enable
        return preg_match('/^[\pL\s]+$/u', $value);
    }

    public function message(): string
    {
        return 'The name may only contain letters.';
    }
}
